=== debian/control ===
Source: firmware-mod-kit
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12), git, zlib1g-dev, liblzma-dev, python3-magic
Standards-Version: 4.4.0
Homepage: https://github.com/rampageX/firmware-mod-kit

Package: firmware-mod-kit
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, git, zlib1g-dev, liblzma-dev, python3-magic
Description: Deconstruct and reconstruct firmware images
 The Firmware Mod Kit allows for easy deconstruction and reconstruction of 
 firmware images for various embedded devices. While it primarily targets Linux 
 based routers, it should be compatible with most firmware that makes use of 
 common firmware formats and file systems such as TRX/uImage and 
 SquashFS/CramFS.
